package pandoc

import (
	"os"
	"testing"

	"github.com/remogatto/prettytest"
)

type testSuite struct {
	prettytest.Suite
}

func TestRunner(t *testing.T) {
	prettytest.Run(
		t,
		new(testSuite),
	)
}

func (t *testSuite) TestConvert() {
	err := Convert("testdata/test.md", "testdata/test.odt")
	t.Nil(err)
	_, err = os.Stat("testdata/test.odt")
	t.Nil(err)
	err = os.Remove("testdata/test.odt")
	t.Nil(err)
}
